// Code generated by protoc-gen-go. DO NOT EDIT.
// source: envoy/api/v2/core/http_uri.proto

package core

import (
	fmt "fmt"
	_ "github.com/gogo/protobuf/gogoproto"
	proto "github.com/golang/protobuf/proto"
	duration "github.com/golang/protobuf/ptypes/duration"
	_ "github.com/lyft/protoc-gen-validate/validate"
	math "math"
)

// Reference imports to suppress errors if they are not otherwise used.
var _ = proto.Marshal
var _ = fmt.Errorf
var _ = math.Inf

// This is a compile-time assertion to ensure that this generated file
// is compatible with the proto package it is being compiled against.
// A compilation error at this line likely means your copy of the
// proto package needs to be updated.
const _ = proto.ProtoPackageIsVersion3 // please upgrade the proto package

// Envoy external URI descriptor
type HttpUri struct {
	// The HTTP server URI. It should be a full FQDN with protocol, host and path.
	//
	// Example:
	//
	// .. code-block:: yaml
	//
	//    uri: https://www.googleapis.com/oauth2/v1/certs
	//
	Uri string `protobuf:"bytes,1,opt,name=uri,proto3" json:"uri,omitempty"`
	// Specify how `uri` is to be fetched. Today, this requires an explicit
	// cluster, but in the future we may support dynamic cluster creation or
	// inline DNS resolution. See `issue
	// <https://github.com/envoyproxy/envoy/issues/1606>`_.
	//
	// Types that are valid to be assigned to HttpUpstreamType:
	//	*HttpUri_Cluster
	HttpUpstreamType isHttpUri_HttpUpstreamType `protobuf_oneof:"http_upstream_type"`
	// Sets the maximum duration in milliseconds that a response can take to arrive upon request.
	Timeout              *duration.Duration `protobuf:"bytes,3,opt,name=timeout,proto3" json:"timeout,omitempty"`
	XXX_NoUnkeyedLiteral struct{}           `json:"-"`
	XXX_unrecognized     []byte             `json:"-"`
	XXX_sizecache        int32              `json:"-"`
}

func (m *HttpUri) Reset()         { *m = HttpUri{} }
func (m *HttpUri) String() string { return proto.CompactTextString(m) }
func (*HttpUri) ProtoMessage()    {}
func (*HttpUri) Descriptor() ([]byte, []int) {
	return fileDescriptor_1660b946db74c078, []int{0}
}

func (m *HttpUri) XXX_Unmarshal(b []byte) error {
	return xxx_messageInfo_HttpUri.Unmarshal(m, b)
}
func (m *HttpUri) XXX_Marshal(b []byte, deterministic bool) ([]byte, error) {
	return xxx_messageInfo_HttpUri.Marshal(b, m, deterministic)
}
func (m *HttpUri) XXX_Merge(src proto.Message) {
	xxx_messageInfo_HttpUri.Merge(m, src)
}
func (m *HttpUri) XXX_Size() int {
	return xxx_messageInfo_HttpUri.Size(m)
}
func (m *HttpUri) XXX_DiscardUnknown() {
	xxx_messageInfo_HttpUri.DiscardUnknown(m)
}

var xxx_messageInfo_HttpUri proto.InternalMessageInfo

func (m *HttpUri) GetUri() string {
	if m != nil {
		return m.Uri
	}
	return ""
}

type isHttpUri_HttpUpstreamType interface {
	isHttpUri_HttpUpstreamType()
}

type HttpUri_Cluster struct {
	Cluster string `protobuf:"bytes,2,opt,name=cluster,proto3,oneof"`
}

func (*HttpUri_Cluster) isHttpUri_HttpUpstreamType() {}

func (m *HttpUri) GetHttpUpstreamType() isHttpUri_HttpUpstreamType {
	if m != nil {
		return m.HttpUpstreamType
	}
	return nil
}

func (m *HttpUri) GetCluster() string {
	if x, ok := m.GetHttpUpstreamType().(*HttpUri_Cluster); ok {
		return x.Cluster
	}
	return ""
}

func (m *HttpUri) GetTimeout() *duration.Duration {
	if m != nil {
		return m.Timeout
	}
	return nil
}

// XXX_OneofWrappers is for the internal use of the proto package.
func (*HttpUri) XXX_OneofWrappers() []interface{} {
	return []interface{}{
		(*HttpUri_Cluster)(nil),
	}
}

func init() {
	proto.RegisterType((*HttpUri)(nil), "envoy.api.v2.core.HttpUri")
}

func init() { proto.RegisterFile("envoy/api/v2/core/http_uri.proto", fileDescriptor_1660b946db74c078) }

var fileDescriptor_1660b946db74c078 = []byte{
	// 287 bytes of a gzipped FileDescriptorProto
	0x1f, 0x8b, 0x08, 0x00, 0x00, 0x00, 0x00, 0x00, 0x02, 0xff, 0x64, 0x90, 0xcf, 0x4a, 0x33, 0x31,
	0x14, 0xc5, 0x9b, 0x99, 0xaf, 0xdf, 0xd8, 0xe8, 0xc6, 0x20, 0x38, 0xb6, 0x60, 0x07, 0x41, 0xe8,
	0x2a, 0xc1, 0xf1, 0x0d, 0x06, 0x17, 0xdd, 0x08, 0x65, 0xc0, 0x75, 0x49, 0xdb, 0x38, 0x06, 0xa6,
	0xbd, 0x21, 0xbd, 0x19, 0x9c, 0x37, 0xf1, 0x19, 0x7c, 0x02, 0x75, 0xd5, 0x37, 0x71, 0xdd, 0xb7,
	0x90, 0xf9, 0x93, 0x8d, 0xee, 0x0e, 0xf7, 0x9e, 0x9c, 0xfc, 0xee, 0xa1, 0x89, 0xda, 0x55, 0x50,
	0x0b, 0x69, 0xb4, 0xa8, 0x52, 0xb1, 0x06, 0xab, 0xc4, 0x0b, 0xa2, 0x59, 0x3a, 0xab, 0xb9, 0xb1,
	0x80, 0xc0, 0xce, 0x5b, 0x07, 0x97, 0x46, 0xf3, 0x2a, 0xe5, 0x8d, 0x63, 0x7c, 0x5d, 0x00, 0x14,
	0xa5, 0x12, 0xad, 0x61, 0xe5, 0x9e, 0xc5, 0xc6, 0x59, 0x89, 0x1a, 0x76, 0xdd, 0x93, 0xf1, 0x45,
	0x01, 0x05, 0xb4, 0x52, 0x34, 0xaa, 0x9f, 0x5e, 0x56, 0xb2, 0xd4, 0x1b, 0x89, 0x4a, 0x78, 0xd1,
	0x2d, 0x6e, 0x3e, 0x09, 0x8d, 0xe6, 0x88, 0xe6, 0xc9, 0x6a, 0x36, 0xa1, 0xa1, 0xb3, 0x3a, 0x26,
	0x09, 0x99, 0x8d, 0xb2, 0xd1, 0xd7, 0xf1, 0x10, 0xfe, 0xb3, 0x41, 0x42, 0xf2, 0x66, 0xca, 0x6e,
	0x69, 0xb4, 0x2e, 0xdd, 0x1e, 0x95, 0x8d, 0x83, 0x5f, 0x86, 0xf9, 0x20, 0xf7, 0x3b, 0xf6, 0x48,
	0x23, 0xd4, 0x5b, 0x05, 0x0e, 0xe3, 0x30, 0x21, 0xb3, 0xd3, 0xf4, 0x8a, 0x77, 0xc0, 0xdc, 0x03,
	0xf3, 0x87, 0x1e, 0x38, 0x8b, 0xdf, 0xbe, 0xa7, 0xa4, 0x49, 0x19, 0xbe, 0x93, 0x20, 0x1d, 0x78,
	0x75, 0x42, 0x72, 0x9f, 0x91, 0x4d, 0x28, 0xeb, 0x2a, 0x31, 0x7b, 0xb4, 0x4a, 0x6e, 0x97, 0x58,
	0x1b, 0xc5, 0x86, 0x1f, 0xc7, 0x43, 0x48, 0xb2, 0x3b, 0x3a, 0xd5, 0xc0, 0xdb, 0x8a, 0x8c, 0x85,
	0xd7, 0x9a, 0xff, 0x69, 0x2b, 0x3b, 0xeb, 0x6f, 0x5b, 0x34, 0x9f, 0x2f, 0xc8, 0xea, 0x7f, 0x4b,
	0x71, 0xff, 0x13, 0x00, 0x00, 0xff, 0xff, 0x7c, 0x26, 0x43, 0xe5, 0x7b, 0x01, 0x00, 0x00,
}
